#include "liveboxinfos.h"

LiveBoxInfos::LiveBoxInfos()
{
    // classe de stockage rien à faire sauf des initialisations
    mSSID="inconnu";
    mDateTime="inconnu";
    mRebootTime="inconnu";
    mSynchroTime="inconnu";
    mConnectTime="inconnu";
    mSoftwareVersion="inconnu";
    mHardwareVersion="inconnu";
    mIPAddress="inconnu";
    mNumberOfReboots=0;
    mLastChange=0;
    mLastChangeTime=0;
    mDownstreamAttenuation=0;
    mDownstreamLineAttenuation=0;
    mDownstreamCurrRate=0;
    mDownstreamMaxRate=0;
    mDownstreamNoiseMargin=0;
    mDownstreamPower=0;
    mUpstreamAttenuation=0;
    mUpstreamLineAttenuation=0;
    mUpstreamCurrRate=0;
    mUpstreamMaxRate=0;
    mUpstreamNoiseMargin=0;
    mUpstreamPower=0;
    mErroredSecs=0;
    mSeverelyErroredSecs=0;
    mATUCCRCErrors=0;
    mCRCErrors=0;
    mATUCFECErrors=0;
    mFECErrors=0;
    mATUCHECErrors=0;
    mHECErrors=0;
    mCellDelin=0;
    mInitErrors=0;
    mInitTimeouts=0;
    mLinkRetrain=0;
    mLossOfFraming=0;
    mReceiveBlocks=0;
    mTransmitBlocks=0;
    mPppLastChange=0;
    mPppLastChangeTime=0;
    mDNSServer1="inconnu";
    mDNSServer2="inconnu";
    mTransportType="inconnu";
    mMaxMRUSize=0;
}

